filedestination Class Reference

Inherits logdestination.

## Public Member Functions

| filedestination ()
| filedestination (const filedestination &f)
filedestination & | operator= (const filedestination &f)
virtual | ~filedestination ()
bool | open (const char *filename, mode_t perms)
void | close ()

## Detailed Description

The filedestination class writes log data to a file.

## Constructor & Destructor Documentation

## filedestination() [1/2]

filedestination::filedestination | ( |  | ) |

Creates an instance of the filedestination class.

## filedestination() [2/2]

filedestination::filedestination | ( | const filedestination & | f | ) |

Creates an instance of the filedestination class that is a copy of "f".

## ~filedestination()

virtual filedestination::~filedestination | ( |  | ) |

virtual

Deletes this instance of the filedestination class.

## Member Function Documentation

## close()

void filedestination::close | ( |  | ) |

Closes the file as a logging destination.

## open()

bool filedestination::open | ( | const char * | filename,
|  | mode_t | perms
| ) |  |

Opens file "filename" as a logging destination with "perms" permissions.

## operator=()

filedestination& filedestination::operator= | ( | const filedestination & | f | ) |

Makes this instance of the filedestination class identical to "f".